package com.gree.mall.manager.enums.workorder;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum SettleExpenseStatusEnum implements BaseEnum {
    YES("YES","已汇总"),
    NOT("NOT","已驳回"),
    NO("NO","未汇总");

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
